import React from 'react'
import ComponentExample from 'docs/app/Components/ComponentDoc/ComponentExample'
import ExampleSection from 'docs/app/Components/ComponentDoc/ExampleSection'

const IconSetExamples = () => (
  <ExampleSection title='Icon Set' className='icon-set-examples'>
    <ComponentExample
      title='Web Content'
      description='Icons can represent types of content found on websites'
      examplePath='elements/Icon/IconSet/IconWebContentExample'
    />
    <ComponentExample
      title='User Actions'
      description='Icons can represent common actions a user can take'
      examplePath='elements/Icon/IconSet/IconUserActionsExample'
    />
    <ComponentExample
      title='Message'
      description='Icons can alert users to the type of message being displayed'
      examplePath='elements/Icon/IconSet/IconMessageExample'
    />
    <ComponentExample
      title='User Types'
      description='Icons can represent types of people'
      examplePath='elements/Icon/IconSet/IconUserTypesExample'
    />
    <ComponentExample
      title='Gender & Sexuality'
      description='Icons can represent genders or types of sexuality'
      examplePath='elements/Icon/IconSet/IconGenderAndSexualityExample'
    />
    <ComponentExample
      title='Layout Adjustment'
      description='Icons can alert users to common ways to adjust page layouts'
      examplePath='elements/Icon/IconSet/IconLayoutAdjustmentExample'
    />
    <ComponentExample
      title='Objects'
      description='Icons can be used to represent common objects'
      examplePath='elements/Icon/IconSet/IconObjectsExample'
    />
    <ComponentExample
      title='Shapes'
      description='Icons can be used to create shapes'
      examplePath='elements/Icon/IconSet/IconShapesExample'
    />
    <ComponentExample
      title='Item Selection'
      description='Icons can show whether an item is included in a set'
      examplePath='elements/Icon/IconSet/IconItemSelectionExample'
    />
    <ComponentExample
      title='Media'
      description='Icons can represent common media types'
      examplePath='elements/Icon/IconSet/IconMediaExample'
    />
    <ComponentExample
      title='Pointers'
      description='Icons can be used to indicate a direction'
      examplePath='elements/Icon/IconSet/IconPointersExample'
    />
    <ComponentExample
      title='Mobile'
      description='Icons can represent mobile devices, types of content found on mobile devices.'
      examplePath='elements/Icon/IconSet/IconMobileExample'
    />
    <ComponentExample
      title='Computer'
      description='Icons can represent computing devices, or types of content found on a computer.'
      examplePath='elements/Icon/IconSet/IconComputerExample'
    />
    <ComponentExample
      title='Computer and File System'
      description='Icons can represent elements of a computer and its file system'
      examplePath='elements/Icon/IconSet/IconComputerAndFileSystemExample'
    />
    <ComponentExample
      title='Technologies'
      description='Icons can represent common technologies'
      examplePath='elements/Icon/IconSet/IconTechnologiesExample'
    />
    <ComponentExample
      title='Rating'
      description='Icons can be used to represent users attitude towards content'
      examplePath='elements/Icon/IconSet/IconRatingExample'
    />
    <ComponentExample
      title='Audio'
      description='Icons can be used to represent common ways to interact with audio'
      examplePath='elements/Icon/IconSet/IconAudioExample'
    />
    <ComponentExample
      title='Map'
      description='Icons can be used to represent elements on a map'
      examplePath='elements/Icon/IconSet/IconMapExample'
    />
    <ComponentExample
      title='Tables'
      description='Icons can be used to represent common actions inside a table'
      examplePath='elements/Icon/IconSet/IconTablesExample'
    />
    <ComponentExample
      title='Text Editor'
      description='Icons can represent common actions when editing text'
      examplePath='elements/Icon/IconSet/IconTextEditorExample'
    />
    <ComponentExample
      title='Currency'
      description='Icons can represent units of currency'
      examplePath='elements/Icon/IconSet/IconCurrencyExample'
    />
    <ComponentExample
      title='Payment Options'
      description='Icons can represent common forms of payment'
      examplePath='elements/Icon/IconSet/IconPaymentOptionsExample'
    />
    <ComponentExample
      title='Accessibility'
      description='Icons can represent accessibility standards'
      examplePath='elements/Icon/IconSet/IconAccessibilityExample'
    />
    <ComponentExample
      title='Brands'
      description='Icons can represent logos to common brands'
      examplePath='elements/Icon/IconSet/IconBrandsExample'
    />
  </ExampleSection>
)

export default IconSetExamples
